4Suite™ API Documentation

# ► Module Ft.Rdf._4versa

4Versa command-line query application Note: this is a general-purpose Versa tool. If you wish to query a 4Suite repository, you may find '4ss rdf versa' more convenient.

Classes: VersaCommandLineApp |  |  |  | Functions: PrettyPrintResults, ResultsToXml, Run |  |  |  | Fields: BASE_NS_MAP, INDENT, INVOKED_AS, RDF_SCHEMA_BASE, READER, VERSA_NS

## Classes

class VersaCommandLineApp(Ft.Lib.CommandLine.CommandLineApp.CommandLineApp)

### Methods

__init__(self)
validate_arguments(self, args)

### Methods inherited from class Ft.Lib.CommandLine.CommandLineApp.CommandLineApp

gen_command_tree, gen_usage, get_help_doc_info, parse_command_line, run, validate_options

### Methods inherited from class Ft.Lib.CommandLine.Command.Command

break_parent_relationship, build_parent_relationship, flatten_command_tree, run_command

### Fields

## Functions

PrettyPrintResults(results, indent=0)
ResultsToXml(result, stream, indent='')
Run(options, args)

## Fields

BASE_NS_MAP = {'daml': 'http://www.daml.org/2001/03/daml+oil#', 'dc': 'http://purl.org/dc/elements/1.1/', 'versa': 'http://rdfinference.org/versa/0/2/', 'vsort': 'http://rdfinference.org/versa/0/2/sort/', 'vtrav': 'http://rdfinference.org/versa/0/2/traverse/'}
INDENT = ' '
INVOKED_AS = '/tmp/tmpglDuaK.py'
RDF_SCHEMA_BASE = 'http://www.w3.org/2000/01/rdf-schema#'
READER = <Ft.Xml.Domlette.NonvalidatingReaderBase instance>
The default non-validating reader instance, created from NonvalidatingReaderBase() with no constructor arguments.
Uses the default InputSource factory. If you need to change it,
reassign the inputSourceFactory attribute, or, preferably, just
create a new NonvalidatingReaderBase instance.
VERSA_NS = 'http://rdfinference.org/versa/0/2/'